Cut down extraneous einfo as requested by Gokdeniz Karadag in bug #268633. Removed...
authorTony Vroon <chainsaw@gentoo.org>
Thu, 18 Aug 2011 09:51:23 +0000 (09:51 +0000)
committerTony Vroon <chainsaw@gentoo.org>
Thu, 18 Aug 2011 09:51:23 +0000 (09:51 +0000)
Package-Manager: portage-2.1.10.11/cvs/Linux x86_64

dev-vcs/subversion/ChangeLog
dev-vcs/subversion/Manifest
dev-vcs/subversion/files/47_mod_dav_svn.conf [new file with mode: 0644]
dev-vcs/subversion/files/80subversion-extras [new file with mode: 0644]
dev-vcs/subversion/files/svnserve.initd2 [new file with mode: 0644]
dev-vcs/subversion/subversion-1.6.17-r1.ebuild [new file with mode: 0644]

index f6058b08eb195e1be35030bdb59eefbb740ceac1..552cc11d73242abd3565788bc658f853de3c7ade 100644 (file)
@@ -1,6 +1,18 @@
 # ChangeLog for dev-vcs/subversion
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/ChangeLog,v 1.43 2011/08/18 09:33:01 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/ChangeLog,v 1.44 2011/08/18 09:51:23 chainsaw Exp $
+
+*subversion-1.6.17-r1 (18 Aug 2011)
+
+  18 Aug 2011; Tony Vroon <chainsaw@gentoo.org> +files/47_mod_dav_svn.conf,
+  +files/80subversion-extras, +subversion-1.6.17-r1.ebuild,
+  +files/svnserve.initd2:
+  Cut down extraneous einfo as requested by Gokdeniz Karadag in bug #268633.
+  Removed USE=threadsafe requirement for sqlite as per Alan Hourihane in bug
+  #323951. Stop use of --chuid in init script as per Michael Mair-Keimberger in
+  bug #377781. Removed overengineered testing facilities; unmaintainable in
+  current state. Moved remaining inline configuration files to FILESDIR.
+  Removed custom inline print function.
 
   18 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org> subversion-1.6.17.ebuild:
   ppc/ppc64 stable wrt #69065
index e96da235eadbfd6d5bd4cfdf8af01066f43152ec..a1faa41eb38c5a125dec30b21d2f3b39bac56d53 100644 (file)
@@ -1,15 +1,29 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+AUX 47_mod_dav_svn.conf 422 RMD160 658703e00882a0bce007709372cf40a407fee915 SHA1 3a1ffd40391a1cca3cb9cfb1b9d153c1a4f169a0 SHA256 bdb10203ae3154da723655b07118f630ef1e83ec38a79e31a53e436e0c071d27
 AUX 70svn-gentoo.el 443 RMD160 300189eea80dfefa0f2a8479f67d255b39fd2adb SHA1 245b5ed611755276016bc76de2eabdc117e2c511 SHA256 23aa9effa5aea7ae73d14ae4df1a9269135137a5e483b4ff2a501dc130d7d1be
+AUX 80subversion-extras 107 RMD160 ed314994ef77d96948b19631f323cc68c5c74215 SHA1 e5532d5ba2c076c1658d0ffbe73bcd086d81f542 SHA256 250038e4e007fa3bfd714a73723cb1c9b6302c46dd90ca9473055e54344bcfd7
 AUX subversion-1.6.0-disable_linking_against_unneeded_libraries.patch 1769 RMD160 89d165463a2e8a7e2ae5855bc4e4e290f20416ae SHA1 3fc9a49e80992b13b016d1c56babae43957f1b91 SHA256 a54a4dd37e197d030b9d56b2954e4cd38f8a7f1b191cfe59f863b75a164d5f96
 AUX subversion-1.6.2-local_library_preloading.patch 6412 RMD160 3b072c5f9d3c1f43e3be20959a24632db0c9f82c SHA1 85a3d394861a53e3919ef6fc243542af7df17b46 SHA256 50b83dd31eaf5ed577b7656dcd06e314d3acd31814089f4e3eba014a1efa442d
 AUX subversion-1.6.3-kwallet_window.patch 10012 RMD160 d469e0fc8d9fd2ef8c857e5e303eeb24309e7f0d SHA1 9c99b63bc5abf54f642e447af1aa2f814cecb8ab SHA256 5304f39189bed6f83a8342593f23819cf2e12c2288c9daba23dcd78913fd79de
 AUX svnserve.confd 322 RMD160 e291d91f05da848a3517aa76611c1f05527c11e4 SHA1 c07020ea270b787ddf0dbb738391e20d3c8347af SHA256 45f2dc1a718aed885559e71d98112e670c92bd6b4f19c5cf593eced6cd2bbd97
 AUX svnserve.initd 818 RMD160 6a24ac0599ef46b2d1ef0ae9cde70bdc8124db68 SHA1 f3ef120b584d81124171ccaf5bafec709222d04e SHA256 4f9d38d5b32d4436dcb302f7e3c7284e67d6339b25b0f057a306b978f4a06142
+AUX svnserve.initd2 823 RMD160 33ba9c352013dcea2b4a51f392c06ddc615f2b04 SHA1 c27967ae76a034372090d4ab676e85174c4add89 SHA256 5a13b4e037d38483a7086cec4d29fab2eef7c340cb405f24de6c4674829b3b6b
 AUX svnserve.xinetd 332 RMD160 c2fc4eb02da7e7405756fce650b8897f0a9da7f7 SHA1 d7d478fc257a40626888f9b12ee218df55dac570 SHA256 267f30c78ef6428aeeb97d3c64c06b9acfba4bc624766fc3c6a6d2c4133799a2
 DIST subversion-1.6.15.tar.bz2 5515056 RMD160 d1a1bb87700af624b21d84d2f1fa2bbcdf3917eb SHA1 b6fadf944a94b86f989f07bc2d781be41df017bf SHA256 b2919d603a5f3c19f42e3265c4b930e2376c43b3969b90ef9c42b2f72d5aaa45
 DIST subversion-1.6.16.tar.bz2 5509729 RMD160 f12d7eb31372486290e08143ec1afda029767d34 SHA1 c1a050bd8ad2444eb6729b8a7f451960711af2df SHA256 dce4897d62d0dc29ab03834ed1d66ede95c07702e32a0042f96c24c6f1213386
 DIST subversion-1.6.17.tar.bz2 5504298 RMD160 b0937be80622774fee5d4557e740ad44f7f47172 SHA1 6e3ed7c87d98fdf5f0a999050ab601dcec6155a1 SHA256 d629c657e171616d30cc0cbddf1011a065770813bfc32f78c6940d09ca868124
 EBUILD subversion-1.6.15.ebuild 31841 RMD160 0b018adda55fc51e2a7fb05e7bfdeb1b11f318c4 SHA1 9f73ff35e92d60692d551382a68dac87b56655df SHA256 a1eba80dd50f7ec4092884c410228c7aa0778ca0a812c097deb36139c5907712
 EBUILD subversion-1.6.16.ebuild 31846 RMD160 c2714b45a69939db231e5f03ad26b6def895f397 SHA1 994949ce558dc39e8d8e9b0cf4d248937c628ef7 SHA256 8e4ae636dcb868a4a9ed17dc01c42451c62b8c73f890e99c3b16125c7267af11
+EBUILD subversion-1.6.17-r1.ebuild 15815 RMD160 0072f1f979a3a5c266ae3f787bccad3e03c8be94 SHA1 6c1c269453f3fb3eef8e247b1a9a544483fb6064 SHA256 71a160402df2c044836eb9f9f3c0739d027affea138591d6b9a44054b7635114
 EBUILD subversion-1.6.17.ebuild 31737 RMD160 69103d0a883c3647dfc7e1dde0494a37a32807d2 SHA1 6e979d53b0a7f8b9af4d57c2282a7fb5f6204d45 SHA256 510171c2719bc7b7dd6fa1b989dfb252eaf428ea40923a4656c9306e86ada5f9
-MISC ChangeLog 76424 RMD160 e9196482403e9d3eb59c8a1e686fb98edc83fefe SHA1 60558cefc9b383dd8092e68cbe5b33716670d0ba SHA256 87b71cfaa79017b69434e0da94df48e611b82a7929b1eeb2f774b2170a775dbb
+MISC ChangeLog 77045 RMD160 0e45c5607eb660239372ea3fa3bc20543f3af0dd SHA1 b348a3d13d617909cadc92627b490e42ca197911 SHA256 fe6b2067777c3fc53ff855bc523323428c97968a4c4ad2277703ab4ec4a8a52f
 MISC metadata.xml 650 RMD160 17a1bcef59b035ceeb456ff3bcff9f121db2cc5e SHA1 677d1e573840f9f634abfa39dbce0dc4f11e4ee8 SHA256 ca7082ab0d3917e015b6532500bd31ef236513c3ad30782462823c947df1afdb
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.18 (GNU/Linux)
+
+iEYEARECAAYFAk5M4KMACgkQp5vW4rUFj5ofUwCaArv2aIqcsmp1p3Q0BQtQYUw1
+vDkAn0/Ispp8zS5eghMeuAEQVJwtCMAR
+=7WoA
+-----END PGP SIGNATURE-----
diff --git a/dev-vcs/subversion/files/47_mod_dav_svn.conf b/dev-vcs/subversion/files/47_mod_dav_svn.conf
new file mode 100644 (file)
index 0000000..52d08b7
--- /dev/null
@@ -0,0 +1,16 @@
+<IfDefine SVN>
+LoadModule dav_svn_module modules/mod_dav_svn.so
+<IfDefine SVN_AUTHZ>
+LoadModule authz_svn_module modules/mod_authz_svn.so
+</IfDefine>
+
+# Example configuration:
+#<Location /svn/repos>
+#       DAV svn
+#       SVNPath ${SVN_REPOS_LOC}/repos
+#       AuthType Basic
+#       AuthName "Subversion repository"
+#       AuthUserFile ${SVN_REPOS_LOC}/conf/svnusers
+#       Require valid-user
+#</Location>
+</IfDefine>
diff --git a/dev-vcs/subversion/files/80subversion-extras b/dev-vcs/subversion/files/80subversion-extras
new file mode 100644 (file)
index 0000000..5b28eb7
--- /dev/null
@@ -0,0 +1,3 @@
+PATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+ROOTPATH="${EPREFIX}/usr/$(get_libdir)/subversion/bin"
+
diff --git a/dev-vcs/subversion/files/svnserve.initd2 b/dev-vcs/subversion/files/svnserve.initd2
new file mode 100644 (file)
index 0000000..186d6f9
--- /dev/null
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 2004-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/files/svnserve.initd2,v 1.1 2011/08/18 09:51:23 chainsaw Exp $
+
+depend() {
+       need net
+}
+
+start() {
+       ebegin "Starting svnserve"
+       # Ensure that we run from a readable working dir, and that we do not
+       # lock filesystems when being run from such a location.
+       cd /
+       start-stop-daemon --start --quiet --background --make-pidfile \
+               --pidfile /var/run/svnserve.pid --exec /usr/bin/svnserve \
+               --user ${SVNSERVE_USER:-apache}:${SVNSERVE_GROUP:-apache} -- \
+               --foreground --daemon ${SVNSERVE_OPTS:---root=/var/svn}
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping svnserve"
+       start-stop-daemon --stop --quiet --pidfile /var/run/svnserve.pid
+       eend $?
+}
diff --git a/dev-vcs/subversion/subversion-1.6.17-r1.ebuild b/dev-vcs/subversion/subversion-1.6.17-r1.ebuild
new file mode 100644 (file)
index 0000000..bf78e44
--- /dev/null
@@ -0,0 +1,451 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/subversion/subversion-1.6.17-r1.ebuild,v 1.1 2011/08/18 09:51:23 chainsaw Exp $
+
+EAPI="3"
+SUPPORT_PYTHON_ABIS="1"
+RESTRICT_PYTHON_ABIS="3.* *-jython"
+WANT_AUTOMAKE="none"
+MY_P="${P/_/-}"
+
+inherit autotools base bash-completion db-use depend.apache elisp-common flag-o-matic java-pkg-opt-2 libtool multilib perl-module python
+
+DESCRIPTION="Advanced version control system"
+HOMEPAGE="http://subversion.apache.org/"
+SRC_URI="http://subversion.tigris.org/downloads/${MY_P}.tar.bz2"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Subversion"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="apache2 berkdb ctypes-python debug doc +dso emacs extras gnome-keyring java kde nls perl python ruby sasl vim-syntax +webdav-neon webdav-serf"
+
+CDEPEND=">=dev-db/sqlite-3.4
+       >=dev-libs/apr-1.3:1
+       >=dev-libs/apr-util-1.3:1
+       dev-libs/expat
+       sys-libs/zlib
+       berkdb? ( =sys-libs/db-4* )
+       ctypes-python? ( =dev-lang/python-2* )
+       emacs? ( virtual/emacs )
+       gnome-keyring? ( dev-libs/glib:2 sys-apps/dbus gnome-base/gnome-keyring )
+       kde? ( sys-apps/dbus x11-libs/qt-core x11-libs/qt-dbus x11-libs/qt-gui >=kde-base/kdelibs-4 )
+       perl? ( dev-lang/perl )
+       python? ( =dev-lang/python-2* )
+       ruby? ( >=dev-lang/ruby-1.8.2 )
+       sasl? ( dev-libs/cyrus-sasl )
+       webdav-neon? ( >=net-libs/neon-0.28 )
+       webdav-serf? ( >=net-libs/serf-0.3.0 )"
+RDEPEND="${CDEPEND}
+       apache2? ( www-servers/apache[apache2_modules_dav] )
+       java? ( >=virtual/jre-1.5 )
+       kde? ( kde-base/kwalletd )
+       nls? ( virtual/libintl )
+       perl? ( dev-perl/URI )"
+DEPEND="${CDEPEND}
+       !!<sys-apps/sandbox-1.6
+       ctypes-python? ( dev-python/ctypesgen )
+       doc? ( app-doc/doxygen )
+       gnome-keyring? ( dev-util/pkgconfig )
+       java? ( >=virtual/jdk-1.5 )
+       kde? ( dev-util/pkgconfig )
+       nls? ( sys-devel/gettext )
+       webdav-neon? ( dev-util/pkgconfig )"
+
+PATCHES=(
+               "${FILESDIR}/${PN}-1.6.0-disable_linking_against_unneeded_libraries.patch"
+               "${FILESDIR}/${PN}-1.6.2-local_library_preloading.patch"
+               "${FILESDIR}/${PN}-1.6.3-kwallet_window.patch"
+)
+
+want_apache
+
+pkg_setup() {
+       if use kde && ! use nls; then
+               eerror "Support for KWallet (KDE) requires Native Language Support (NLS)."
+               die "Enable \"nls\" USE flag"
+       fi
+
+       if use berkdb; then
+               einfo
+               if [[ -z "${SVN_BDB_VERSION}" ]]; then
+                       SVN_BDB_VERSION="$(db_ver_to_slot "$(db_findver sys-libs/db 2>/dev/null)")"
+                       einfo "SVN_BDB_VERSION variable isn't set. You can set it to enforce using of specific version of Berkeley DB."
+               fi
+               einfo "Using: Berkeley DB ${SVN_BDB_VERSION}"
+               einfo
+
+               local apu_bdb_version="$(scanelf -nq "${EROOT}usr/$(get_libdir)/libaprutil-1.so.0" | grep -Eo "libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               if [[ -n "${apu_bdb_version}" && "${SVN_BDB_VERSION}" != "${apu_bdb_version}" ]]; then
+                       eerror "APR-Util is linked against Berkeley DB ${apu_bdb_version}, but you are trying"
+                       eerror "to build Subversion with support for Berkeley DB ${SVN_BDB_VERSION}."
+                       eerror "Rebuild dev-libs/apr-util or set SVN_BDB_VERSION=\"${apu_bdb_version}\"."
+                       eerror "Aborting to avoid possible run-time crashes."
+                       die "Berkeley DB version mismatch"
+               fi
+       fi
+
+       depend.apache_pkg_setup
+
+       java-pkg-opt-2_pkg_setup
+
+       if use ctypes-python || use python; then
+               python_pkg_setup
+       fi
+
+       if ! use webdav-neon && ! use webdav-serf; then
+               ewarn "WebDAV support is disabled. You need WebDAV to"
+               ewarn "access repositories through the HTTP protocol."
+               ewarn "Consider enabling one of the following USE-flags:"
+               ewarn "  webdav-neon webdav-serf"
+               echo -ne "\a"
+       fi
+
+       if use debug; then
+               append-cppflags -DSVN_DEBUG -DAP_DEBUG
+       fi
+
+       # Allow for custom repository locations.
+       SVN_REPOS_LOC="${SVN_REPOS_LOC:-${EPREFIX}/var/svn}"
+}
+
+src_prepare() {
+       base_src_prepare
+       fperms +x build/transform_libtool_scripts.sh
+
+       sed -i \
+               -e "s/\(BUILD_RULES=.*\) bdb-test\(.*\)/\1\2/g" \
+               -e "s/\(BUILD_RULES=.*\) test\(.*\)/\1\2/g" configure.ac
+
+       sed -e "/SWIG_PY_INCLUDES=/s/\$ac_cv_python_includes/\\\\\$(PYTHON_INCLUDES)/" -i build/ac-macros/swig.m4 || die "sed failed"
+
+       eautoconf
+       elibtoolize
+
+       sed -e "s/libsvn_swig_py-1\.la/libsvn_swig_py-\$(PYTHON_VERSION)-1.la/" -i build-outputs.mk || die "sed failed"
+}
+
+src_configure() {
+       local myconf
+
+       if use python || use perl || use ruby; then
+               myconf+=" --with-swig"
+       else
+               myconf+=" --without-swig"
+       fi
+
+       if use java; then
+               myconf+=" --without-junit"
+       fi
+
+       econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               $(use_with apache2 apxs "${APXS}") \
+               $(use_with berkdb berkeley-db "db.h:${EPREFIX}/usr/include/db${SVN_BDB_VERSION}::db-${SVN_BDB_VERSION}") \
+               $(use_with ctypes-python ctypesgen "${EPREFIX}/usr") \
+               $(use_enable dso runtime-module-search) \
+               $(use_with gnome-keyring) \
+               $(use_enable java javahl) \
+               $(use_with java jdk "${JAVA_HOME}") \
+               $(use_with kde kwallet) \
+               $(use_enable nls) \
+               $(use_with sasl) \
+               $(use_with webdav-neon neon) \
+               $(use_with webdav-serf serf "${EPREFIX}/usr") \
+               ${myconf} \
+               --with-apr="${EPREFIX}/usr/bin/apr-1-config" \
+               --with-apr-util="${EPREFIX}/usr/bin/apu-1-config" \
+               --disable-experimental-libtool \
+               --without-jikes \
+               --enable-local-library-preloading \
+               --disable-mod-activation \
+               --disable-neon-version-check \
+               --with-sqlite="${EPREFIX}/usr"
+}
+
+src_compile() {
+       emake local-all || die "Building of core of Subversion failed"
+
+       if use ctypes-python; then
+               python_copy_sources subversion/bindings/ctypes-python
+               rm -fr subversion/bindings/ctypes-python
+               ctypes_python_bindings_building() {
+                       rm -f subversion/bindings/ctypes-python
+                       ln -s ctypes-python-${PYTHON_ABI} subversion/bindings/ctypes-python
+                       emake ctypes-python
+               }
+               python_execute_function \
+                       --action-message 'Building of Subversion Ctypes Python bindings with $(python_get_implementation) $(python_get_version)' \
+                       --failure-message 'Building of Subversion Ctypes Python bindings failed with $(python_get_implementation) $(python_get_version)' \
+                       ctypes_python_bindings_building
+       fi
+
+       if use python; then
+               python_copy_sources subversion/bindings/swig/python
+               rm -fr subversion/bindings/swig/python
+               swig_python_bindings_building() {
+                       rm -f subversion/bindings/swig/python
+                       ln -s python-${PYTHON_ABI} subversion/bindings/swig/python
+                       emake \
+                               PYTHON_INCLUDES="-I${EPREFIX}$(python_get_includedir)" \
+                               PYTHON_VERSION="$(python_get_version)" \
+                               swig_pydir="${EPREFIX}$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="${EPREFIX}$(python_get_sitedir)/svn" \
+                               swig-py
+               }
+               python_execute_function \
+                       --action-message 'Building of Subversion SWIG Python bindings with $(python_get_implementation) $(python_get_version)' \
+                       --failure-message 'Building of Subversion SWIG Python bindings failed with $(python_get_implementation) $(python_get_version)' \
+                       swig_python_bindings_building
+       fi
+
+       if use perl; then
+               emake -j1 swig-pl || die "Building of Subversion SWIG Perl bindings failed"
+       fi
+
+       if use ruby; then
+               emake swig-rb || die "Building of Subversion SWIG Ruby bindings failed"
+       fi
+
+       if use java; then
+               emake -j1 JAVAC_FLAGS="$(java-pkg_javac-args) -encoding iso8859-1" javahl || die "Building of Subversion JavaHL library failed"
+       fi
+
+       if use emacs; then
+               elisp-compile contrib/client-side/emacs/{dsvn,psvn,vc-svn}.el doc/svn-doc.el doc/tools/svnbook.el || die "Compilation of Emacs modules failed"
+       fi
+
+       if use extras; then
+               emake contrib || die "Building of contrib failed"
+               emake tools || die "Building of tools failed"
+       fi
+
+       if use doc; then
+               doxygen doc/doxygen.conf || die "Building of Subversion HTML documentation failed"
+
+               if use java; then
+                       emake doc-javahl || die "Building of Subversion JavaHL library HTML documentation failed"
+               fi
+       fi
+}
+
+src_install() {
+       emake -j1 DESTDIR="${D}" local-install || die "Installation of core of Subversion failed"
+
+       if use ctypes-python; then
+               ctypes_python_bindings_installation() {
+                       rm -f subversion/bindings/ctypes-python
+                       ln -s ctypes-python-${PYTHON_ABI} subversion/bindings/ctypes-python
+                       emake DESTDIR="${D}" install-ctypes-python
+               }
+               python_execute_function \
+                       --action-message 'Installation of Subversion Ctypes Python bindings with $(python_get_implementation) $(python_get_version)' \
+                       --failure-message 'Installation of Subversion Ctypes Python bindings failed with $(python_get_implementation) $(python_get_version)' \
+                       ctypes_python_bindings_installation
+       fi
+
+       if use python; then
+               swig_python_bindings_installation() {
+                       rm -f subversion/bindings/swig/python
+                       ln -s python-${PYTHON_ABI} subversion/bindings/swig/python
+                       emake -j1 \
+                               DESTDIR="${D}" \
+                               PYTHON_VERSION="$(python_get_version)" \
+                               swig_pydir="${EPREFIX}$(python_get_sitedir)/libsvn" \
+                               swig_pydir_extra="${EPREFIX}$(python_get_sitedir)/svn" \
+                               install-swig-py
+               }
+               python_execute_function \
+                       --action-message 'Installation of Subversion SWIG Python bindings with $(python_get_implementation) $(python_get_version)' \
+                       --failure-message 'Installation of Subversion SWIG Python bindings failed with $(python_get_implementation) $(python_get_version)' \
+                       swig_python_bindings_installation
+
+               delete_static_libraries() {
+                       find "${ED}$(python_get_sitedir)" -name "*.a" -print0 | xargs -0 rm -f
+               }
+               python_execute_function -q delete_static_libraries
+       fi
+
+       if use ctypes-python || use python; then
+               python_clean_installation_image -q
+       fi
+
+       if use perl; then
+               emake -j1 DESTDIR="${D}" INSTALLDIRS="vendor" install-swig-pl || die "Installation of Subversion SWIG Perl bindings failed"
+               fixlocalpod
+               find "${ED}" "(" -name .packlist -o -name "*.bs" ")" -print0 | xargs -0 rm -fr
+       fi
+
+       if use ruby; then
+               emake -j1 DESTDIR="${D}" install-swig-rb || die "Installation of Subversion SWIG Ruby bindings failed"
+               find "${ED}usr/$(get_libdir)/ruby" "(" -name "*.a" -o -name "*.la" ")" -print0 | xargs -0 rm -f
+       fi
+
+       if use java; then
+               emake -j1 DESTDIR="${D}" install-javahl || die "Installation of Subversion JavaHL library failed"
+               java-pkg_regso "${ED}"usr/$(get_libdir)/libsvnjavahl*.so
+               java-pkg_dojar "${ED}"usr/$(get_libdir)/svn-javahl/svn-javahl.jar
+               rm -fr "${ED}"usr/$(get_libdir)/svn-javahl/*.jar
+       fi
+
+       # Install Apache module configuration.
+       if use apache2; then
+               keepdir "${APACHE_MODULES_CONFDIR}"
+               insinto "${APACHE_MODULES_CONFDIR}"
+               doins "${FILESDIR}/47_mod_dav_svn.conf"
+       fi
+
+       # Install Bash Completion, bug 43179.
+       dobashcompletion tools/client-side/bash_completion subversion
+       rm -f tools/client-side/bash_completion
+
+       # Install hot backup script, bug 54304.
+       newbin tools/backup/hot-backup.py svn-hot-backup
+       rm -fr tools/backup
+
+       # Install svn_load_dirs.pl.
+       if use perl; then
+               dobin contrib/client-side/svn_load_dirs/svn_load_dirs.pl
+       fi
+       rm -f contrib/client-side/svn_load_dirs/svn_load_dirs.pl
+
+       # Install svnserve init-script and xinet.d snippet, bug 43245.
+       newinitd "${FILESDIR}"/svnserve.initd2 svnserve
+       newconfd "${FILESDIR}"/svnserve.confd svnserve
+       insinto /etc/xinetd.d
+       newins "${FILESDIR}"/svnserve.xinetd svnserve
+
+       # Install documentation.
+       dodoc CHANGES COMMITTERS README
+       dodoc tools/xslt/svnindex.{css,xsl}
+       rm -fr tools/xslt
+
+       # Install Vim syntax files.
+       if use vim-syntax; then
+               insinto /usr/share/vim/vimfiles/syntax
+               doins contrib/client-side/vim/svn.vim
+       fi
+       rm -f contrib/client-side/vim/svn.vim
+
+       # Install Emacs Lisps.
+       if use emacs; then
+               elisp-install ${PN} contrib/client-side/emacs/{dsvn,psvn}.{el,elc} doc/svn-doc.{el,elc} doc/tools/svnbook.{el,elc} || die "Installation of Emacs modules failed"
+               elisp-install ${PN}/compat contrib/client-side/emacs/vc-svn.{el,elc} || die "Installation of Emacs modules failed"
+               touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
+               elisp-site-file-install "${FILESDIR}/70svn-gentoo.el" || die "Installation of Emacs site-init file failed"
+       fi
+       rm -fr contrib/client-side/emacs
+
+       # Install extra files.
+       if use extras; then
+               doenvd "${FILESDIR}/80subversion-extras"
+
+               emake DESTDIR="${D}" contribdir="/usr/$(get_libdir)/subversion/bin" install-contrib || die "Installation of contrib failed"
+               emake DESTDIR="${D}" toolsdir="/usr/$(get_libdir)/subversion/bin" install-tools || die "Installation of tools failed"
+
+               find contrib tools "(" -name "*.bat" -o -name "*.in" -o -name ".libs" ")" -print0 | xargs -0 rm -fr
+               rm -fr contrib/client-side/svn-push
+               rm -fr contrib/server-side/svnstsw
+               rm -fr tools/client-side/svnmucc
+               rm -fr tools/server-side/{svn-populate-node-origins-index,svnauthz-validate}*
+               rm -fr tools/{buildbot,dev,diff,po}
+
+               insinto /usr/share/${PN}
+               doins -r contrib tools
+       fi
+
+       if use doc; then
+               dohtml -r doc/doxygen/html/* || die "Installation of Subversion HTML documentation failed"
+
+               insinto /usr/share/doc/${PF}
+               doins -r notes
+               ecompressdir /usr/share/doc/${PF}/notes
+
+               if use java; then
+                       java-pkg_dojavadoc doc/javadoc
+               fi
+       fi
+}
+
+pkg_preinst() {
+       # Compare versions of Berkeley DB, bug 122877.
+       if use berkdb && [[ -f "${EROOT}usr/bin/svn" ]]; then
+               OLD_BDB_VERSION="$(scanelf -nq "${EROOT}usr/$(get_libdir)/libsvn_subr-1.so.0" | grep -Eo "libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               NEW_BDB_VERSION="$(scanelf -nq "${ED}usr/$(get_libdir)/libsvn_subr-1.so.0" | grep -Eo "libdb-[[:digit:]]+\.[[:digit:]]+" | sed -e "s/libdb-\(.*\)/\1/")"
+               if [[ "${OLD_BDB_VERSION}" != "${NEW_BDB_VERSION}" ]]; then
+                       CHANGED_BDB_VERSION="1"
+               fi
+       fi
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+       use perl && perl-module_pkg_postinst
+
+       if use ctypes-python; then
+               python_mod_optimize csvn
+       fi
+
+       if use python; then
+               python_mod_optimize libsvn svn
+       fi
+
+       if use apache2; then
+               elog " - http-based server:"
+               elog "   1. Edit /etc/conf.d/apache2 to include both \"-D DAV\" and \"-D SVN\""
+               elog "   2. Create an htpasswd file:"
+               elog "      htpasswd2 -m -c ${SVN_REPOS_LOC}/conf/svnusers USERNAME"
+               elog "   3. Fix the repository permissions (see \"Fixing the repository permissions\")"
+               elog "   4. Restart Apache: /etc/init.d/apache2 restart"
+               elog
+       fi
+
+       if [[ -n "${CHANGED_BDB_VERSION}" ]]; then
+               ewarn "You upgraded from an older version of Berkeley DB and may experience"
+               ewarn "problems with your repository. Run the following commands as root to fix it:"
+               ewarn "    db4_recover -h ${SVN_REPOS_LOC}/repos"
+               ewarn "    chown -Rf apache:apache ${SVN_REPOS_LOC}/repos"
+       fi
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+       use perl && perl-module_pkg_postrm
+
+       if use ctypes-python; then
+               python_mod_cleanup csvn
+       fi
+
+       if use python; then
+               python_mod_cleanup libsvn svn
+       fi
+}
+
+pkg_config() {
+       einfo "Initializing the database in ${EROOT}${SVN_REPOS_LOC}..."
+       if [[ -e "${EROOT}${SVN_REPOS_LOC}/repos" ]]; then
+               echo "A Subversion repository already exists and I will not overwrite it."
+               echo "Delete \"${EROOT}${SVN_REPOS_LOC}/repos\" first if you're sure you want to have a clean version."
+       else
+               mkdir -p "${EROOT}${SVN_REPOS_LOC}/conf"
+
+               einfo "Populating repository directory..."
+               # Create initial repository.
+               "${EROOT}usr/bin/svnadmin" create "${EROOT}${SVN_REPOS_LOC}/repos"
+
+               einfo "Setting repository permissions..."
+               SVNSERVE_USER="$(. "${EROOT}etc/conf.d/svnserve"; echo "${SVNSERVE_USER}")"
+               SVNSERVE_GROUP="$(. "${EROOT}etc/conf.d/svnserve"; echo "${SVNSERVE_GROUP}")"
+               if use apache2; then
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="apache"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="apache"
+               else
+                       [[ -z "${SVNSERVE_USER}" ]] && SVNSERVE_USER="svn"
+                       [[ -z "${SVNSERVE_GROUP}" ]] && SVNSERVE_GROUP="svnusers"
+                       enewgroup "${SVNSERVE_GROUP}"
+                       enewuser "${SVNSERVE_USER}" -1 -1 "${SVN_REPOS_LOC}" "${SVNSERVE_GROUP}"
+               fi
+               chown -Rf "${SVNSERVE_USER}:${SVNSERVE_GROUP}" "${EROOT}${SVN_REPOS_LOC}/repos"
+               chmod -Rf go-rwx "${EROOT}${SVN_REPOS_LOC}/conf"
+               chmod -Rf o-rwx "${EROOT}${SVN_REPOS_LOC}/repos"
+       fi
+}